//Renata Kopecna

#ifndef ANGULARCORR_HH
#define ANGULARCORR_HH

#include <vector>

namespace fcnc { //Forward declarations
    class event;
    class options;
}

int scan_max_order_angular_ccorrection(fcnc::options opts, bool assumePhiEven, bool quickTest, bool test_4times1D, bool checkSignificance, bool runMinuit, bool checkFactorization, bool do3Dmoments);

int sanityCheck_MC(fcnc::options opts);
int sanityCheck(std::vector<fcnc::event>events, fcnc::options opts, bool PHSP, int bin, bool norm);
int get_angular_acceptance(fcnc::options opts, bool testSaving);

int get_angular_resolution(fcnc::options opts, std::vector<int> years);

#endif // ANGULARCORR_HH
